Show / Hide Table of Contents

# Class GameNetwork

##### Inheritance

System.Object
GameNetwork

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Network

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class GameNetwork : IDisposable

### Constructors

| Improve this Doc View Source

#### GameNetwork(SigScanner)

##### Declaration

    public GameNetwork(SigScanner scanner)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | scanner |

### Fields

| Improve this Doc View Source

#### OnNetworkMessage

Event that is called when a network message is sent/received.

##### Declaration

    public GameNetwork.OnNetworkMessageDelegate OnNetworkMessage

##### Field Value

Type | Description
--- | ---
GameNetwork.OnNetworkMessageDelegate |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### UpdateQueue(Framework)

Process a chat queue.

##### Declaration

    public void UpdateQueue(Framework framework)

##### Parameters

Type | Name | Description
--- | --- | ---
Framework | framework |

### Implements

System.IDisposable